Package org.bukkit.block.data.type

# Interface Fence

All Superinterfaces:
  `BlockData`, `Cloneable`, `MultipleFacing`, `Waterlogged`

public interface Fence extends MultipleFacing, Waterlogged

## Method Summary

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

### Methods inherited from interface org.bukkit.block.data.MultipleFacing

`getAllowedFaces, getFaces, hasFace, setFace`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`